curl -X GET https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0 \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
{
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Webhook found successfully!",
"data": {
"_id": "60f7a1b2c3d4e5f6a7b8c9d0",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"title": "New Connection Webhook",
"events": ["ACCEPTS_REQUEST"],
"isValid": true
}
}
{
"success": false,
"message": "Webhook not found!"
}
Webhooks
Get Webhook
Returns data for a specific webhook.
GET
/
webhooks
/
{webhookId}
curl -X GET https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0 \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
{
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Webhook found successfully!",
"data": {
"_id": "60f7a1b2c3d4e5f6a7b8c9d0",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"title": "New Connection Webhook",
"events": ["ACCEPTS_REQUEST"],
"isValid": true
}
}
{
"success": false,
"message": "Webhook not found!"
}
Headers
string
required
Your LinkedCamp API token.
Path Parameters
string
required
The ID of the webhook.
Response
boolean
Whether the request was successful.
string
A human-readable result message.
object
curl -X GET https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0 \
-H "token: YOUR_API_TOKEN"
import requests
response = requests.get(
"https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
headers={"token": "YOUR_API_TOKEN"},
)
print(response.json())
const response = await fetch(
"https://api.linkedcamp.com/webhooks/60f7a1b2c3d4e5f6a7b8c9d0",
{
headers: { "token": "YOUR_API_TOKEN" },
}
);
const data = await response.json();
console.log(data);
{
"success": true,
"message": "Webhook found successfully!",
"data": {
"_id": "60f7a1b2c3d4e5f6a7b8c9d0",
"callbackUrl": "https://your-server.com/webhook/linkedcamp",
"title": "New Connection Webhook",
"events": ["ACCEPTS_REQUEST"],
"isValid": true
}
}
{
"success": false,
"message": "Webhook not found!"
}
⌘I
